/*
 * gtk_simple_window.c
 * GTK によるウィンドウ表示のサンプル プログラム
 */
#define STRICT

#include <stdio.h>
#include <stdlib.h>

#include <gtk/gtk.h>

/********************************************************************/
/*
 * main 関数
 */
int main(int argc, char *argv[])
{
    GtkWidget   *window;    /* メインウィンドウ */
    
    /* GTK+ の初期化 */
    gtk_init(&argc, &argv);
    
    /* トップレベルウィンドウの作成 */
    window = gtk_window_new(GTK_WINDOW_TOPLEVEL);
    
    /* シグナル接続 */
    g_signal_connect(window, "delete-event", G_CALLBACK(gtk_main_quit), NULL);
    
    /* ウィジェット の表示 */
    gtk_widget_show_all(window);
    
    /* メインループ */
    gtk_main();
    
    return 0;
}
